MaxWrtParser Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
MaxWrtParser Class Reference

the main class to read a MaxWrite file More...

`#include <MaxWrtParser.hxx>`

Inheritance diagram for MaxWrtParser:

## Public Member Functions
| MaxWrtParser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor More...
virtual | ~MaxWrtParser ()
| destructor More...
bool | checkHeader (MWAWHeader *header, bool strict=false)
| checks if the document header is correct (or not) More...
void | parse (librevenge::RVNGTextInterface *documentInterface)
| virtual function used to parse the input More...
Public Member Functions inherited from MWAWTextParser
virtual | ~MWAWTextParser ()
| destructor More...
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor More...
int | version () const
| returns the works version More...
MWAWParserStatePtr | getParserState ()
| returns the parser state More...
MWAWHeader * | getHeader ()
| returns the header More...
MWAWInputStreamPtr & | getInput ()
| returns the actual input More...
MWAWListenerPtr | getMainListener ()
| returns the main listener More...
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener More...
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener More...
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener More...
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener More...
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter More...
MWAWFontManagerPtr & | getFontManager ()
| returns the font manager More...
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension More...
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension More...
double | getFormLength () const
| returns the form length More...
double | getFormWidth () const
| returns the form width More...
double | getPageLength () const
| returns the page length (form length without margin ) More...
double | getPageWidth () const
| returns the page width (form width without margin ) More...
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser More...
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document More...

## Protected Member Functions
void | createDocument (librevenge::RVNGTextInterface *documentInterface)
| creates the listener which will be associated to the document More...
bool | createZones ()
| finds the different objects zones More...
bool | sendText ()
| try to send the main text More...
bool | readLineHeight (MWAWEntry const &entry)
| try to read a line height zone More...
bool | readStylePLC (MWAWEntry const &entry)
| try to read a style plc zone: Styl More...
bool | readStyles (MWAWEntry const &entry)
| try to read a styles zone: StTB More...
MWAWInputStreamPtr | rsrcInput ()
| return the input input More...
libmwaw::DebugFile & | rsrcAscii ()
| a DebugFile used to write what we recognize when we parse the document in rsrc More...
Protected Member Functions inherited from MWAWTextParser
| MWAWTextParser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWTextParser (MWAWParserStatePtr state)
| constructor using a state More...
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWParser (MWAWParserStatePtr state)
| constructor using a state More...
void | setVersion (int vers)
| sets the document's version More...
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener More...
void | resetGraphicListener ()
| resets the listener More...
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener More...
void | resetPresentationListener ()
| resets the listener More...
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener More...
void | resetSpreadsheetListener ()
| resets the listener More...
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener More...
void | resetTextListener ()
| resets the listener More...
void | setAsciiName (char const *name)
| Debugging: change the default ascii file. More...
std::string const & | asciiName () const
| return the ascii file name More...

## Protected Attributes
shared_ptr< MaxWrtParserInternal::State > | m_state
| the state More...

## Friends
class | EDText

## Detailed Description

the main class to read a MaxWrite file

## Constructor & Destructor Documentation

## § MaxWrtParser()

MaxWrtParser::MaxWrtParser | ( | MWAWInputStreamPtr | input,
|  | MWAWRSRCParserPtr | rsrcParser,
|  | MWAWHeader * | header
| ) |  |

constructor

## § ~MaxWrtParser()

MaxWrtParser::~MaxWrtParser | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## § checkHeader()

bool MaxWrtParser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = `false`
| ) |  |
| virtual

checks if the document header is correct (or not)

no data fork, may be ok, but this means that the file contains no text, so...

Implements MWAWParser.

Referenced by parse().

## § createDocument()

void MaxWrtParser::createDocument | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| protected

creates the listener which will be associated to the document

Referenced by parse().

## § createZones()

bool MaxWrtParser::createZones | ( |  | ) |
| protected

finds the different objects zones

Referenced by parse().

## § parse()

void MaxWrtParser::parse | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| virtual

virtual function used to parse the input

Implements MWAWTextParser.

## § readLineHeight()

bool MaxWrtParser::readLineHeight | ( | MWAWEntry const & | entry | ) |
| protected

try to read a line height zone

Referenced by createZones().

## § readStylePLC()

bool MaxWrtParser::readStylePLC | ( | MWAWEntry const & | entry | ) |
| protected

try to read a style plc zone: Styl

Referenced by createZones().

## § readStyles()

bool MaxWrtParser::readStyles | ( | MWAWEntry const & | entry | ) |
| protected

try to read a styles zone: StTB

Referenced by createZones().

## § rsrcAscii()

libmwaw::DebugFile & MaxWrtParser::rsrcAscii | ( |  | ) |
| protected

a DebugFile used to write what we recognize when we parse the document in rsrc

Referenced by readLineHeight(), readStylePLC(), and readStyles().

## § rsrcInput()

MWAWInputStreamPtr MaxWrtParser::rsrcInput | ( |  | ) |
| protected

return the input input

Referenced by readLineHeight(), readStylePLC(), and readStyles().

## § sendText()

bool MaxWrtParser::sendText | ( |  | ) |
| protected

try to send the main text

Referenced by parse().

## Friends And Related Function Documentation

## § EDText

friend class EDText
| friend

## Member Data Documentation

## § m_state

shared_ptr<MaxWrtParserInternal::State> MaxWrtParser::m_state
| protected

the state

Referenced by checkHeader(), readStylePLC(), readStyles(), and sendText().

The documentation for this class was generated from the following files:

- MaxWrtParser.hxx
- MaxWrtParser.cxx